(function() {
  var $submitBTN = $('.js-submit-b-t-n');
  var $CTSNumberText = $('.js--c-t-s-number-text');
  var $planNumberText = $('.js-plan-number-text');
  var $planTypeMenu = $('.js-plan-type-menu');
  var $CTSNumberLabel = $('.js--c-t-s-number-label');
  var $planNumberLabel = $('.js-plan-number-label');
  var $planTypeLabel = $('.js-plan-type-label');
  var $lotNumberText = $('.js-lot-number-text');
  var $lotNumberLabel = $('.js-lot-number-label');
  var $propertyStrataTitledMenu = $('.js-property-strata-titled-menu');
  var $builindTypeDesc = $('.js-builind-type-desc');
  var $buildingTypeMenu = $('.js-building-type-menu');
  var $buildingStateMenu = $('.js-building-state-menu');
  var $propertyOtherDesc = $('.js-property-other-desc');
  var $forThePropertySelect = $('.js-for-the-property-select');
  var $emailText = $('.js-email-text');
  var $phoneText = $('.js-phone-text');
  var $nameText = $('.js-name-text');


  function addScript( src ) {
    var s = document.createElement( 'script' );
    s.setAttribute( 'src', src );
    document.body.appendChild( s );
  }

  jQuery.fn.center = function () {
      this.css("position","fixed");
      this.css("top", Math.max(0, (($(window).height() - $(this).outerHeight()) / 2) + 
                                                  $(window).scrollTop()) + "px");
      this.css("left", Math.max(0, (($(window).width() - $(this).outerWidth()) / 2) + 
                                                  $(window).scrollLeft()) + "px");
      return this;
  }

  $('document').ready(function(){

    $propertyOtherDesc.hide();
    
    $lotNumberText.hide();
     $lotNumberLabel.hide();
     $planNumberLabel.hide();
     $planNumberText.hide();
    $CTSNumberLabel.hide();
    $CTSNumberText.hide();
    $planTypeMenu.hide();
    $planTypeLabel.hide();
    
    $builindTypeDesc.hide();
    
    $("#forThePropertySelect").live('change', function() {
     var selected = document.getElementById('forThePropertySelect');
  if (selected)
  {
     if (selected.value.toLowerCase() == 'other')
     {
       $propertyOtherDesc.fadeIn();
     } else
     {
       $propertyOtherDesc.fadeOut();
     }
  }
    });
    
      $("#buildingTypeMenu").live('change', function() {
     var selected = document.getElementById('buildingTypeMenu');
  if (selected)
  {
     if (selected.value.toLowerCase() == 'other')
     {
       $builindTypeDesc.fadeIn();
     } else
     {
       $builindTypeDesc.fadeOut();
     }
  }
    });
    
    
    $("#buildingStateMenu").live('change', function() {
     var selected = document.getElementById('propertyStrataTitledMenu');
      var state = document.getElementById('buildingStateMenu');
  if (selected)
  {
     if (selected.value.toLowerCase() == 'yes' && state.value.toLowerCase() == 'qld')
     {
         $lotNumberText.fadeIn();
       		$lotNumberLabel.fadeIn();
       		$planNumberLabel.fadeIn();
       $planNumberText.fadeIn();
        $planTypeMenu.fadeIn();
    $planTypeLabel.fadeIn();
       $CTSNumberLabel.fadeIn();
    $CTSNumberText.fadeIn();
       
     } else if (selected.value.toLowerCase() == 'yes')
     {
         $lotNumberText.fadeIn();
       		$lotNumberLabel.fadeIn();
       		$planNumberLabel.fadeIn();
       $planNumberText.fadeIn();
        $planTypeMenu.fadeIn();
    $planTypeLabel.fadeIn();
       $CTSNumberLabel.fadeOut();
    $CTSNumberText.fadeOut();
       
     } 
  }
        
  });
    
    
    $("#propertyStrataTitledMenu").live('change', function() {
     var selected = document.getElementById('propertyStrataTitledMenu');
      var state = document.getElementById('buildingStateMenu');
  if (selected)
  {
     if (selected.value.toLowerCase() == 'yes' && state.value.toLowerCase() == 'qld')
     {
         $lotNumberText.fadeIn();
       		$lotNumberLabel.fadeIn();
       		$planNumberLabel.fadeIn();
       $planNumberText.fadeIn();
        $planTypeMenu.fadeIn();
    $planTypeLabel.fadeIn();
       $CTSNumberLabel.fadeIn();
    $CTSNumberText.fadeIn();
       
     } else if (selected.value.toLowerCase() == 'yes')
     {
         $lotNumberText.fadeIn();
       		$lotNumberLabel.fadeIn();
       		$planNumberLabel.fadeIn();
       $planNumberText.fadeIn();
        $planTypeMenu.fadeIn();
    $planTypeLabel.fadeIn();
       $CTSNumberLabel.fadeOut();
    $CTSNumberText.fadeOut();
       
     } else 
     {
       $lotNumberText.fadeOut();
       		$lotNumberLabel.fadeOut();
       		$planNumberLabel.fadeOut();
       $planNumberText.fadeOut();
       $CTSNumberLabel.fadeOut();
    $CTSNumberText.fadeOut();
        $planTypeMenu.fadeOut();
    $planTypeLabel.fadeOut();
     }
  }
        
  });
    
     $("#buildingStateMenu").live('change', function() {
     var selected = document.getElementById('buildingStateMenu');
  if (selected)
  {
    $("#planTypeMenu option[value='Not Sure']").remove();
    $("#planTypeMenu option[value='Select']").remove();
    $("#planTypeMenu option[value='BUP']").remove();
    $("#planTypeMenu option[value='GTP']").remove();
    $("#planTypeMenu option[value='SP']").remove();
    $("#planTypeMenu option[value='DP']").remove();
    $("#planTypeMenu option[value='PS']").remove();
    $("#planTypeMenu option[value='CP']").remove();
     if (selected.value.toLowerCase() == 'qld')
     {
       $("#planTypeMenu").append('<option value="Select">Select</option>');
       $("#planTypeMenu").append('<option value="BUP">BUP</option>');
       $("#planTypeMenu").append('<option value="GTP">GTP</option>');
       $("#planTypeMenu").append('<option value="SP">SP</option>');
       $("#planTypeMenu").append('<option value="Not Sure">Not Sure</option>');
     } else if (selected.value.toLowerCase() == 'nsw')
     {
       $("#planTypeMenu").append('<option value="Select">Select</option>');
       $("#planTypeMenu").append('<option value="SP">SP</option>');
       $("#planTypeMenu").append('<option value="DP">DP</option>');
       $("#planTypeMenu").append('<option value="Not Sure">Not Sure</option>');
     } else if (selected.value.toLowerCase() == 'vic')
     {
       $("#planTypeMenu").append('<option value="Select">Select</option>');
       $("#planTypeMenu").append('<option value="DP">DP</option>');
       $("#planTypeMenu").append('<option value="PS">PS</option>');
       $("#planTypeMenu").append('<option value="Not Sure">Not Sure</option>');
     } else if (selected.value.toLowerCase() == 'state')
     {
       $("#planTypeMenu").append('<option value="Select">Select</option>');
       $("#planTypeMenu").append('<option value="BUP">BUP</option>');
       $("#planTypeMenu").append('<option value="GTP">GTP</option>');
       $("#planTypeMenu").append('<option value="SP">SP</option>');
       $("#planTypeMenu").append('<option value="DP">DP</option>');
       $("#planTypeMenu").append('<option value="PS">PS</option>');
       $("#planTypeMenu").append('<option value="CP">CP</option>');
       $("#planTypeMenu").append('<option value="Not Sure">Not Sure</option>');
       
     } else if (selected.value.toLowerCase() == 'sa')
         {
         	$("#planTypeMenu").append('<option value="CP">CP</option>');
         } else
         {
           $("#planTypeMenu").append('<option value="SP">SP</option>');
         }
  }
    });
   
     $submitBTN.mouseleave(function(){$(this).css('box-shadow','0 0 10px rgba(0, 0, 0, .5) inset');});
    $submitBTN.mouseup(function(){$(this).css('box-shadow','0 0 10px rgba(0, 0, 0, .5) inset');});
    $submitBTN.mousedown(function(){$(this).css('box-shadow','0 2px 5px rgba(0, 0, 0, .5) inset, 0 0 10px rgba(0, 0, 0, .5) inset');});
    
    $('body').append('<link rel="stylesheet" href="../jquery-ui-dialog/jquery-ui.min.css"><link rel="stylesheet" href="../jquery-ui-dialog/jquery-ui.structure.min.css"><link rel="stylesheet" href="../jquery-ui-dialog/jquery-ui.theme.min.css">');
    
    addScript('../jquery-ui-dialog/jquery-ui.js');
    //addScript('../jquery-plugins/jquery.html5-placeholder-shim.js');
    
    $submitBTN.mousedown(function(){
    	
      if ($('#dialog').length){
          
      } else {
        $('body').append('<div id="dialog" title="errors were found"></div>');
        $('#dialog').hide();
      }
      
      $('#dialog').html('<ul><span>Please enter:</span>');
      if ($nameText.val().length < 1)
      {
        $('#dialog').append('<li style="padding-left:30px;">&#149; your name</li>');
      }
      
      if ($phoneText.val().replace(/[^0-9]/gi,'').length < 6)
      {
        $('#dialog').append('<li style="padding-left:30px;">&#149; a correct phone number</li>');
      }
      
      
      if (!$emailText.val().match(/.+@.+\..+/gi))
      {
        $('#dialog').append('<li style="padding-left:30px;">&#149; a correct email address</li>');
      }
      $('#dialog').append('</ul>');
      
  //$('#dialog').html($('#dialog').html().length);
      if ($('#dialog').html().length > 35) 
      {
      $( "#dialog" ).dialog({
        modal: true,
        buttons: {
          Ok: function() {
            $( this ).dialog( "close" );
          }
        }
      });
       $('#dialog').fadeIn();
        return false;
        
    } else {
    
    setTimeout(function(){
    	var myselect = $("._select");
    	$('._select').each(function(indx){
 		myselect[indx].selectedIndex = 0;
 		
 		
 		$lotNumberText.fadeOut();
       		$lotNumberLabel.fadeOut();
       		$planNumberLabel.fadeOut();
       $planNumberText.fadeOut();
       $CTSNumberLabel.fadeOut();
    $CTSNumberText.fadeOut();
        $planTypeMenu.fadeOut();
    $planTypeLabel.fadeOut();
    
    $builindTypeDesc.fadeOut();
    
    $propertyOtherDesc.fadeOut();
    
 		});
     }, 300);
    } 
      
    });

    $(window).keydown(function(event){
      if(event.keyCode == 13) {
        event.preventDefault();
        return false;
      }
    });
    
  });
})();